[POST] .../v1/partnergroup/get
Returns information about partner group. Use this method to load the partner group tree before showing partner catalogs, partner selectors or grouping filters. The response returns PartnerGroup records with id, parent_id, name, child_count and last_update. The request body is required and id or parent_id filters can narrow the lookup to selected groups or one hierarchy level while ids and parent_ids fields. The current request user must have partner group select permission and group results can be served from the account-scoped cache. Missing body, denied access, cache errors and storage failures are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| id | int | Group IDs. |
| parent_id | int | Parent group IDs. |
Request Example
{
"filters": [
{
"Field": "parent_id",
"Operator": "In",
"Value": "0"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of PartnerGroup | Result object. |
Response Example
{
"ok": true,
"result": [
{
"id": 2,
"parent_id": 0,
"name": "Suppliers",
"child_count": 1,
"last_update": 1714550400
}
]
}